:: __________________________________________________________________
::
::  Batch Script:    SETCD.BAT
::  Author:          Frank-Peter Schultze
::
::  Updates:         http://www.fpschultze.de/bsh.htm#a4
::  Enhancement Req.
::  And Bug Reports: support@fpschultze.de
::
::  Built/Tested On: MS-DOS 6.22, Windows 98 SE, Windows NT4
::  Requirements:    OS: Any common MS-OS
::
::  Purpose:         Set CD Variable To The Current Directory
::
::  Syntax:          SETCD
::
::  Assumptions And
::  Limitations:     * Does not handle low environment errors.
::
::  Last Update:     2002-01-28
:: __________________________________________________________________
::
   @Echo Off
    If Not %1'==/?' Goto Begin
    Echo Sets the CD variable to the current directory.
    Echo.
    For %%C In (Echo Goto:End) Do %%C [CALL] %0
   :Begin
    If %OS%'==Windows_NT' (For %%D In (.) Do Set CD=%%~fD&Goto End)
    Echo @Prompt Set CD=$P$_>%TEMP%.\#ETCD1.BAT
    %COMSPEC% /C %TEMP%.\#ETCD1.BAT > %TEMP%.\#ETCD2.BAT
    Call %TEMP%.\#ETCD2.BAT
    Del %TEMP%.\#ETCD?.BAT
   :End

SET MGUIDIR=%CD%\sys
rem echo %MGUIDIR%
vegawin.exe

